<?php
/**
 * harbour class
 *
 */
class harbour
{
	var $data;
	
	/**
	 * initiated the harbour class
	 *
	 * @param object $harbour_object
	 */
	function harbour( $harbour_object ){
		$this->data = $harbour_object;
	}

	/**
	 * return array with table data
	 *
	 * @return array
	 */
	function get_smarty_data_array(){
		$array = (array) $this->data;
		return $array;
	}
}
